Bug 484947 - (CVE-2009-0036) CVE-2009-0036 libvirt: libvirt_proxy buffer overflow
CVE-2009-0036 libvirt: libvirt_proxy buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=upstream,repor...
: Security
Depends On: 479688 479689
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 15:10 EST by Josh Bressers
Modified: 2011-05-05 04:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 03:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-02-10 15:10:07 EST
A buffer overflow flaw was found in libvirt_proxy. libvirt_proxy is set to
run as a setuid root by default, so in theory this could allow for a local
user to become root.

Normally the stack protector would prevent this from being an issue, but it
seems that with gcc optimizations, the function in question is being
inlined into main(), preventing the stack protector from catching this.

The original report can be found here:
https://www.redhat.com/archives/libvir-list/2009-January/msg00699.html

The patch is here:
http://git.et.redhat.com/?p=libvirt.git;a=commitdiff;h=2bb0657e28
Comment 2 errata-xmlrpc 2009-03-19 12:10:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0382 https://rhn.redhat.com/errata/RHSA-2009-0382.html
Comment 3 Red Hat Product Security 2009-03-20 03:37:02 EDT
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0382.html
Comment 4 errata-xmlrpc 2011-05-05 04:44:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0382 https://rhn.redhat.com/errata/RHSA-2009-0382.html

Note You need to log in before you can comment on or make changes to this bug.